<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: TriLib.MatrixExtensions Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_tri_lib_1_1_matrix_extensions.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="class_tri_lib_1_1_matrix_extensions-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">TriLib.MatrixExtensions Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Represents a series of UnityEngine.Matrix4x4 extension methods.  
 <a href="class_tri_lib_1_1_matrix_extensions.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-static-methods" name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a0344ecc5ae37d6deeb93efb675fb8a82"><td class="memItemLeft" align="right" valign="top">static Quaternion&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_matrix_extensions.html#a0344ecc5ae37d6deeb93efb675fb8a82">ExtractRotation</a> (this Matrix4x4 matrix)</td></tr>
<tr class="memdesc:a0344ecc5ae37d6deeb93efb675fb8a82"><td class="mdescLeft">&#160;</td><td class="mdescRight">Extracts the rotation from a UnityEngine.Matrix4x4.  <a href="class_tri_lib_1_1_matrix_extensions.html#a0344ecc5ae37d6deeb93efb675fb8a82">More...</a><br /></td></tr>
<tr class="separator:a0344ecc5ae37d6deeb93efb675fb8a82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1156e7ad172175b31fde6a565dbdddec"><td class="memItemLeft" align="right" valign="top">static Vector3&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_matrix_extensions.html#a1156e7ad172175b31fde6a565dbdddec">ExtractPosition</a> (this Matrix4x4 matrix)</td></tr>
<tr class="memdesc:a1156e7ad172175b31fde6a565dbdddec"><td class="mdescLeft">&#160;</td><td class="mdescRight">Extracts the Position from a UnityEngine.Matrix4x4.  <a href="class_tri_lib_1_1_matrix_extensions.html#a1156e7ad172175b31fde6a565dbdddec">More...</a><br /></td></tr>
<tr class="separator:a1156e7ad172175b31fde6a565dbdddec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0136e0a51b34aecb9779490bbdaebc6a"><td class="memItemLeft" align="right" valign="top">static Vector3&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_matrix_extensions.html#a0136e0a51b34aecb9779490bbdaebc6a">ExtractScale</a> (this Matrix4x4 matrix)</td></tr>
<tr class="memdesc:a0136e0a51b34aecb9779490bbdaebc6a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Extracts the scale from a UnityEngine.Matrix4x4.  <a href="class_tri_lib_1_1_matrix_extensions.html#a0136e0a51b34aecb9779490bbdaebc6a">More...</a><br /></td></tr>
<tr class="separator:a0136e0a51b34aecb9779490bbdaebc6a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Represents a series of UnityEngine.Matrix4x4 extension methods. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a1156e7ad172175b31fde6a565dbdddec" name="a1156e7ad172175b31fde6a565dbdddec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1156e7ad172175b31fde6a565dbdddec">&#9670;&nbsp;</a></span>ExtractPosition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static Vector3 TriLib.MatrixExtensions.ExtractPosition </td>
          <td>(</td>
          <td class="paramtype">this Matrix4x4&#160;</td>
          <td class="paramname"><em>matrix</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Extracts the Position from a UnityEngine.Matrix4x4. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">matrix</td><td>UnityEngine.Matrix4x4 to extract from.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Extracted position UnityEngine.Vector3.</dd></dl>
<div class="fragment"><div class="line"><span class="comment">//Creates a Matrix4x4 that moves 100 units forward in World Space, then rotate 90 units on y-Axis in Local Space</span></div>
<div class="line">var myMatrix = Matrix4x4.TRS(<span class="keyword">new</span> Vector3(0f, 0f, 100f), Quaternion.Euler(0f, 90f, 0f), Vector3.one);</div>
<div class="line"><span class="comment">//Assigns the position contained in the &quot;myMatrix&quot; to &quot;myGameObject&quot;</span></div>
<div class="line">myGameObject.transform.position = myMatrix.ExtractRotation(); </div>
</div><!-- fragment --> 
</div>
</div>
<a id="a0344ecc5ae37d6deeb93efb675fb8a82" name="a0344ecc5ae37d6deeb93efb675fb8a82"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0344ecc5ae37d6deeb93efb675fb8a82">&#9670;&nbsp;</a></span>ExtractRotation()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static Quaternion TriLib.MatrixExtensions.ExtractRotation </td>
          <td>(</td>
          <td class="paramtype">this Matrix4x4&#160;</td>
          <td class="paramname"><em>matrix</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Extracts the rotation from a UnityEngine.Matrix4x4. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">matrix</td><td>UnityEngine.Matrix4x4 to extract from.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Extracted rotation UnityEngine.Quaternion.</dd></dl>
<div class="fragment"><div class="line"><span class="comment">//Creates a Matrix4x4 that moves 100 units forward in World Space, then rotate 90 units on y-Axis in Local Space</span></div>
<div class="line">var myMatrix = Matrix4x4.TRS(<span class="keyword">new</span> Vector3(0f, 0f, 100f), Quaternion.Euler(0f, 90f, 0f), Vector3.one);</div>
<div class="line"><span class="comment">//Assigns the rotation contained in the &quot;myMatrix&quot; to &quot;myGameObject&quot;</span></div>
<div class="line">myGameObject.transform.rotation = myMatrix.ExtractRotation(); </div>
</div><!-- fragment --> 
</div>
</div>
<a id="a0136e0a51b34aecb9779490bbdaebc6a" name="a0136e0a51b34aecb9779490bbdaebc6a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0136e0a51b34aecb9779490bbdaebc6a">&#9670;&nbsp;</a></span>ExtractScale()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static Vector3 TriLib.MatrixExtensions.ExtractScale </td>
          <td>(</td>
          <td class="paramtype">this Matrix4x4&#160;</td>
          <td class="paramname"><em>matrix</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Extracts the scale from a UnityEngine.Matrix4x4. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">matrix</td><td>UnityEngine.Matrix4x4 to extract from.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Extracted scale UnityEngine.Vector3.</dd></dl>
<div class="fragment"><div class="line"><span class="comment">//Creates a matrix that moves 100 units forward at world space, then rotates 90 units on y-axis at local space</span></div>
<div class="line">var myMatrix = Matrix4x4.TRS(<span class="keyword">new</span> Vector3(0f, 0f, 100f), Quaternion.Euler(0f, 90f, 0f), Vector3.one);</div>
<div class="line"><span class="comment">//Assigns the local scale contained in the &quot;myMatrix&quot; to &quot;myGameObject&quot;</span></div>
<div class="line">myGameObject.transform.localScale = myMatrix.ExtractScale(); </div>
</div><!-- fragment --> 
</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/chris/dev/unity/VivianUI/Assets/TriLib/TriLib/Scripts/Extensions/<a class="el" href="_matrix_extensions_8cs.html">MatrixExtensions.cs</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespace_tri_lib.html">TriLib</a></li><li class="navelem"><a class="el" href="class_tri_lib_1_1_matrix_extensions.html">MatrixExtensions</a></li>
    <li class="footer">Generated on Mon Dec 20 2021 15:24:23 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
